function A=randnsym(N,d,varargin)
  % Return a 3D symmetric array  with ...
  A=zeros(N,d,d);
  for i=1:d
    A(:,i,i)=fc_linalg3D.random.randn(N,1,1,varargin{:});
    for j=i+1:d
      A(:,i,j)=fc_linalg3D.random.randn(N,1,i,varargin{:});
      A(:,j,i)=A(:,i,j);
    end
  end
end
