function X=diag_Cpt(A,B)
% A : N-by-d-by-d 
% b : N-by-d-by-m or N-by-d or d-by-m      or d-by-1
% x : N-by-d-by-m or N-by-d or N-by-d-by-m or N-by-d
  assert(fc_linalg3D.is3Darray(A));
  [N,m,n]=size(A);
  [dimA,dimB]=fc_linalg3D.getDimensions(A,B);
  assert( dimA(2)==dimA(3) && dimA(3)==dimB(2) );
  getB=fc_linalg3D.getCpt(B,N);
  
  X=zeros(N,dimA(2),dimB(3));
  for k=1:N
    for i=1:dimA(2)
      for l=1:dimB(3)
        X(k,i,l)=getB(B,k,i,l)/A(k,i,i);
      end
    end
  end
end

