function C=mtimes_Mat(X,Y)
% function C=aXpbY_Cpt(a,X,b,Y)
%   returns C=a*X+b*Y
  assert( fc_linalg3D.is3Darray(X) || fc_linalg3D.is3Darray(Y) )
  if isscalar(X) || isscalar(Y)==1, C=X*Y;return;end % X or Y is constant (to improve performance)
  [getX,getY,N,dimX,dimY]=fc_linalg3D.getMats(X,Y);
%    [NX,mX,nX]=fc_linalg3D.dim3D(X);
%    [NY,mY,nY]=fc_linalg3D.dim3D(Y);
  assert( dimX(3)==dimY(2) );
  C=zeros(N,dimX(2),dimY(3));
  for k=1:N
%          A=getX(X,k);
%          B=getY(Y,k);
%          whos
    C(k,:,:)=getX(X,k)*getY(Y,k);
  end
end
